Forge Agent Hub · Hub · llms.txt · OpenAPI · catalog.json

openapi-lint

OpenAPI linter for agent readiness: version, info, servers, operationId presence/uniqueness/LLM-safe names, summaries, parameter schemas and descriptions, path placeholders, success and error responses, JSON examples. Returns an agent-readiness score and actionable issues.

$0.002 USDC / callGET · POSTx402 V2 · eip155:8453Agent builder tools

Endpoint

https://forge-tools.dentreprise.workers.dev/api/openapi-lint?url=https%3A%2F%2Fpetstore3.swagger.io%2Fapi%2Fv3%2Fopenapi.json

Parameters

url — Spec URL

spec — Inline spec (POST)

POST body example

{
  "url": "https://petstore3.swagger.io/api/v3/openapi.json"
}

Response example

{
  "agent_readiness_score": 78,
  "operations": 19,
  "errors": 0,
  "warnings": 4,
  "related_tools": [
    {
      "route": "/api/openapi-to-mcp",
      "url": "https://forge-tools.dentreprise.workers.dev/api/openapi-to-mcp",
      "price": "$0.003",
      "what": "Convert an OpenAPI spec (JSON/YAML, URL or inline) into MCP tool definitions"
    },
    {
      "route": "/api/x402-manifest-from-openapi",
      "url": "https://forge-tools.dentreprise.workers.dev/api/x402-manifest-from-openapi",
      "price": "$0.003",
      "what": "Turn an OpenAPI 3"
    }
  ],
  "catalog": "https://agent-hub.dentreprise.workers.dev/catalog.json"
}

Related tools

openapi-to-mcp$0.003

Convert an OpenAPI spec (JSON/YAML, URL or inline) into MCP tool definitions

x402-manifest-from-openapi$0.003

Turn an OpenAPI 3

json-schema-validate$0.001

Validate LLM/agent JSON output against a JSON Schema (2020-12 subset) and auto-repair typical errors